public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/click/
Date: Thu, 18 Oct 2018 20:02:23 +0000 (UTC)	[thread overview]
Message-ID: <1539892935.400e3456464634bdde545bfee4e5e5943363ec6f.mgorny@gentoo> (raw)

commit:     400e3456464634bdde545bfee4e5e5943363ec6f
Author:     Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Wed Oct 10 10:39:46 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Oct 18 20:02:15 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=400e3456

dev-python/click: bump to 7.0

Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Package-Manager: Portage-2.3.50, Repoman-2.3.11
Closes: https://github.com/gentoo/gentoo/pull/10123
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/click/Manifest         |  1 +
 dev-python/click/click-7.0.ebuild | 43 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/click/Manifest b/dev-python/click/Manifest
index bf5b5c0c706..196e55385da 100644
--- a/dev-python/click/Manifest
+++ b/dev-python/click/Manifest
@@ -1,3 +1,4 @@
 DIST click-5.1.tar.gz 275592 BLAKE2B 0a58e210003f88081fd2ba8e9f401c74d8d61758ae096fde9fa4aebe8a819623aeb90106bf141d5193d632d70488629cf63833297dc1e4b200824cee205c3c4b SHA512 b860b0227644f5d1cc24d41e66985421ec971f11f3f596fb46508fdc787200b949e7ef29b2035421ebb0115384688da03c3c95a0d6acc58dd3b566b32a2b7c6a
 DIST click-6.6.tar.gz 283420 BLAKE2B 1fdc90ca65d18153d6260b6753e14a1d94cae77ab7f52dcda4fb439f9fdfeea8fdc33b1ce60e93711ba40ecdc508dc3fc5f8aadc371bd85b7dca1bfa070786c2 SHA512 5650cfe6c8b55a7e823e22248964143278d61383dac63497508a864807f1950f9dd5d76ce6a501e589dd81fed6e2a1248d3f8973be25a91950896b7408dc88bc
 DIST click-6.7.tar.gz 279019 BLAKE2B cc1e59d0a34ccb4ce50c8a2982b308d23cd525ceb44d84a493c0fe9b5a6f7f616e8a4c440ae211fca811a2bf904ddb75d93618f3c6ac7bbe6b1ed022710dab1f SHA512 d454369fe1acb01c2210a61e15f45ac9cc77102c93345257f4ef3090bd8f31f1ccc49d9fd6ea670cddca9f715ad5db29368b4eecd95abff50d1033c4f7a967d6
+DIST click-7.0.tar.gz 289077 BLAKE2B 0e180eeb1d7d9da34c33f95398c2b53dce124317bd2777ad545c1d4b4f3a96da0e281fac46c8fe6446848f25f7b705d2348d3ab6f5786219b4214650424ab260 SHA512 7ed2bf677f4a56f120deb61318675679a8f09c152af618e8808d24a20cc8537b0691c18b0de2e25b814c59e34b47d6f4d71191856422fc3be206de7669d78f3a

diff --git a/dev-python/click/click-7.0.ebuild b/dev-python/click/click-7.0.ebuild
new file mode 100644
index 00000000000..e6e39841fdc
--- /dev/null
+++ b/dev-python/click/click-7.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python package for creating beautiful command line interfaces"
+SRC_URI="https://github.com/pallets/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+HOMEPAGE="http://click.pocoo.org/ https://pypi.org/project/click/"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples test"
+
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+	doc? ( dev-python/sphinx[${PYTHON_USEDEP}]
+		dev-python/pallets-sphinx-themes[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+	# Prevent un-needed d'loading
+	sed -e "s/, 'sphinx.ext.intersphinx'//" -i docs/conf.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	use doc && emake -C docs html
+}
+
+python_test() {
+	pytest -vv || die
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( docs/_build/html/. )
+	use examples && dodoc -r examples
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2018-10-18 20:02 UTC|newest]

Thread overview: 106+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-10-18 20:02 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-09-17  4:44 [gentoo-commits] repo/gentoo:master commit in: dev-python/click/ Michał Górny
2023-09-16 22:58 Sam James
2023-08-17 18:55 Michał Górny
2023-08-11 19:10 Michał Górny
2023-08-11 19:06 Arthur Zamarin
2023-07-19  6:57 Michał Górny
2023-07-14  5:33 Michał Górny
2023-07-07  3:15 Michał Górny
2023-05-27 17:45 Sam James
2022-05-31  7:22 Michał Górny
2022-05-31  7:08 Jakov Smolić
2022-05-11 17:54 Michał Górny
2022-05-08 12:44 Michał Górny
2022-05-01 12:56 Michał Górny
2022-04-28 18:48 Michał Górny
2022-04-26 20:28 Michał Górny
2022-04-01  7:11 Arthur Zamarin
2022-03-31 11:33 Michał Górny
2022-03-29  8:33 Michał Górny
2022-03-26 18:14 Arthur Zamarin
2022-03-26 17:36 Arthur Zamarin
2022-02-19  0:05 Michał Górny
2021-12-09 22:39 Michał Górny
2021-12-09 21:24 Sam James
2021-11-09 14:01 Michał Górny
2021-11-09 10:38 Michał Górny
2021-10-11  7:56 Michał Górny
2021-10-09  7:08 Michał Górny
2021-09-26 22:36 James Le Cuirot
2021-09-18 15:48 Arthur Zamarin
2021-08-28  8:16 Arthur Zamarin
2021-06-17 23:22 Sam James
2021-06-14 22:30 Michał Górny
2021-06-14 22:18 Sam James
2021-05-20  7:25 Michał Górny
2021-05-12  8:37 Michał Górny
2021-05-07 10:33 Michał Górny
2021-03-09  9:44 Sam James
2021-02-21 13:20 David Seifert
2020-11-28  8:27 Sam James
2020-09-20 10:24 Michał Górny
2020-07-08 13:08 Michał Górny
2020-07-08  7:18 Sergei Trofimovich
2020-07-08  7:11 Sergei Trofimovich
2020-07-02 17:05 Sergei Trofimovich
2020-05-26 10:42 Michał Górny
2020-05-26 10:35 Michał Górny
2020-03-07 11:06 Agostino Sarubbo
2020-03-07 11:03 Agostino Sarubbo
2020-03-07 10:58 Agostino Sarubbo
2020-03-07 10:54 Agostino Sarubbo
2020-03-07 10:50 Agostino Sarubbo
2020-03-07  9:44 Agostino Sarubbo
2020-03-07  8:59 Agostino Sarubbo
2019-12-07 23:07 Matt Turner
2019-12-03  3:02 Aaron Bauman
2019-11-25 12:35 Michał Górny
2019-11-22  7:30 Patrick McLean
2019-08-15 18:51 Sergei Trofimovich
2019-05-31  6:54 Sergei Trofimovich
2019-05-02 22:02 Mikle Kolyada
2019-04-14  2:05 Aaron Bauman
2019-03-26 18:52 Aaron Bauman
2019-03-04  1:35 Thomas Deutschmann
2019-01-04 23:10 Mikle Kolyada
2019-01-03 19:30 Sergei Trofimovich
2018-11-26 19:44 Mikle Kolyada
2018-11-07 23:03 Sergei Trofimovich
2018-10-27 18:46 Sergei Trofimovich
2018-08-30 15:48 Virgil Dupras
2018-08-21  2:11 Virgil Dupras
2018-08-13 12:45 Virgil Dupras
2018-08-13 12:01 Virgil Dupras
2018-06-14 14:11 Alexey Shvetsov
2018-04-14 20:36 Mart Raudsepp
2018-01-03  7:38 Sergei Trofimovich
2017-11-24  6:15 Markus Meier
2017-11-19 19:16 Sergei Trofimovich
2017-11-13  7:54 Sergei Trofimovich
2017-11-12 18:33 Sergei Trofimovich
2017-10-30  0:06 Manuel Rüger
2017-10-29 21:58 Sergei Trofimovich
2017-10-29 21:08 Thomas Deutschmann
2017-02-12 22:20 Zac Medico
2017-02-08 15:17 Manuel Rüger
2017-01-28 14:32 Mart Raudsepp
2016-09-20  0:46 Patrice Clement
2016-09-20  0:46 Patrice Clement
2016-07-17 21:03 Patrick Lauer
2016-05-26 11:58 Tobias Klausmann
2016-04-05 21:07 Manuel Rüger
2016-03-18  6:08 Markus Meier
2016-03-15 15:27 Agostino Sarubbo
2016-02-27 13:38 Jeroen Roovers
2016-02-24  8:44 Justin Lecher
2016-02-23  9:22 Justin Lecher
2016-01-25  8:31 Justin Lecher
2015-11-28  9:28 Justin Lecher
2015-11-27 14:10 Justin Lecher
2015-11-23  6:44 Jeroen Roovers
2015-11-22  8:19 Markus Meier
2015-10-14 13:40 Justin Lecher
2015-10-11 11:25 Justin Lecher
2015-10-01 18:48 Manuel Rüger
2015-09-20  9:33 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1539892935.400e3456464634bdde545bfee4e5e5943363ec6f.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox